Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.storage.database.pool
Class ConnectionInfo

    java.lang.Object
      edu.stanford.smi.protege.storage.database.pool.ConnectionInfo

    public class ConnectionInfo

extends Object

Constructor Summary
`ConnectionInfo(Connection connection)`

Method Summary
`void` | `close()`
`void` | `closeStatements()`
`Connection` | `getConnection()`
`Exception` | `getConnectionCallStack()`
`int` | `getId()`
`boolean` | `getInformedUserOfLongConnectionTime()`
`long` | `getLastAccessTime()` Synchronized by the connection pool.
`PreparedStatement` | `getPreparedStatement(String text)`
`Statement` | `getStatement()`
`void` | `setConnectionCallStack(Exception connectionCallStack)`
`void` | `setInformedUserOfLongConnectionTime(boolean informedUserOfLongConnectionTime)`
`void` | `touch()` Synchronized by the connection pool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConnectionInfo

    public ConnectionInfo(Connection connection)

Method Detail

### getId

    public int getId()

### touch

    public void touch()

  Synchronized by the connection pool.

### getLastAccessTime

    public long getLastAccessTime()

  Synchronized by the connection pool.

### getInformedUserOfLongConnectionTime

    public boolean getInformedUserOfLongConnectionTime()

### setInformedUserOfLongConnectionTime

    public void setInformedUserOfLongConnectionTime(boolean informedUserOfLongConnectionTime)

### getConnectionCallStack

    public Exception getConnectionCallStack()

### setConnectionCallStack

    public void setConnectionCallStack(Exception connectionCallStack)

### getConnection

    public Connection getConnection()

### getPreparedStatement

    public PreparedStatement getPreparedStatement(String text)
                                           throws SQLException

  Throws:
    `SQLException`

### getStatement

    public Statement getStatement()
                           throws SQLException

  Throws:
    `SQLException`

### close

    public void close()
               throws SQLException

  Throws:
    `SQLException`

### closeStatements

    public void closeStatements()
                         throws SQLException

  Throws:
    `SQLException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.5 alpha
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2012 Stanford University.